This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 436770 - rpm: find-requires parsing problem of objdump -p output
rpm: find-requires parsing problem of objdump -p output
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
arm9 Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2008-03-10 07:58 EDT by Lennert Buytenhek
Modified: 2008-04-18 12:16 EDT (History)
2 users (show)

See Also:
Fixed In Version: rpm-4.4.2.3-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 04:26:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Make find-requires deal with output following Version References: section. (453 bytes, patch)
2008-03-10 07:58 EDT, Lennert Buytenhek
no flags Details | Diff

  None (edit)
Description Lennert Buytenhek 2008-03-10 07:58:23 EDT
autodeps/linux.req expects the 'Version References' section to be
the very last section in objdump -p output and nothing else to follow
it, but at least on Linux/ARM, you can get output a la:

	Version References:
	  required from ld-linux.so.3:
	    0x0d696914 0x00 06 GLIBC_2.4
	  required from libacl.so.1:
	    0x05822450 0x00 05 ACL_1.0
	  required from libgcc_s.so.1:
	    0x0b792655 0x00 04 GCC_3.5
	  required from librt.so.1:
	    0x0d696914 0x00 03 GLIBC_2.4
	  required from libc.so.6:
	    0x0d696914 0x00 02 GLIBC_2.4
	private flags = 4000002: [Version4 EABI] [has entry point]

This last line causes the built package (if the external dep generator
is used) to end up with dependencies such as:

	package: firefox - 2.0.0.8-2.fc8.armv5tel from f8
	  unresolved deps: 
	     ld-linux.so.3(4000002:)
	     libgcc_s.so.1(4000002:)
	     libstdc++.so.6(4000002:)
	     libc.so.6(4000002:)
	     libpng12.so.0(4000002:)
	     libsmime3.so(4000002:)

The attached patch makes find-requires stop parsing dependencies
as soon as a [A-Za-z] character is found in column 1.

Issue found by Rabeeh Khoury <rabeeh@marvell.com>
Comment 1 Lennert Buytenhek 2008-03-10 07:58:23 EDT
Created attachment 297419 [details]
Make find-requires deal with output following Version References: section.
Comment 2 Panu Matilainen 2008-03-13 04:59:05 EDT
Applied upstream (thanks for the patch!), keeping open here for Fedora tracking.
Comment 3 Panu Matilainen 2008-04-01 04:26:04 EDT
In rawhide now...
Comment 4 Bill Nottingham 2008-04-18 12:15:38 EDT
This is very very broken. See 443015.

Note You need to log in before you can comment on or make changes to this bug.